Index: code/trunk/src/modules/hover/CMakeLists.txt
===================================================================
--- code/trunk/src/modules/hover/CMakeLists.txt	(revision 11493)
+++ code/trunk/src/modules/hover/CMakeLists.txt	(revision 11495)
@@ -8,5 +8,4 @@
   FlagHUD.cc
   MazeGenerator.cc
-  TFlagsLivesLevelHUD.cc
 )
 
@@ -18,5 +17,4 @@
     objects
     overlays
-    pickup
   SOURCE_FILES ${Hover_SRC_FILES}
 )
Index: code/trunk/src/modules/hover/Hover.cc
===================================================================
--- code/trunk/src/modules/hover/Hover.cc	(revision 11493)
+++ code/trunk/src/modules/hover/Hover.cc	(revision 11495)
@@ -24,5 +24,4 @@
  *   Co-authors:
  *      Cyrill Burgener
- *      Tomer Gidron
  *
  */
@@ -34,5 +33,5 @@
 
 #include "Hover.h"
-#include "chat/ChatManager.h"
+
 #include "HoverOrigin.h"
 #include "HoverWall.h"
@@ -40,9 +39,4 @@
 #include "MazeGenerator.h"
 #include "core/CoreIncludes.h"
-#include "gamestates/GSLevel.h"
-#include "HoverShip.h"
-
-#include "pickup/PickupSpawner.h"
-#include "pickup/Pickup.h"
 
 namespace orxonox
@@ -57,34 +51,19 @@
         this->numberOfFlags_ = 1;
         this->firstTick_ = true;
-        level = 1; //start at level 1
-        flagsTaken = 0;// took 0 flags in the beginning
-        lives = 3;
-
-        numCells = 0;
-        cellSize = 0;
-        cellHeight = 0;
-
-        bLevelUpgradeHUD = false;
-
-        totFlags = 0;
 
         this->setHUDTemplate("HoverHUD");
-
     }
 
-    void Hover::start()
+    void Hover::tick(float dt)
     {
-        Gametype::start();
+        SUPER(Hover, tick, dt);
+
         if(this->firstTick_ && this->origin_)
         {
             this->firstTick_ = false;
 
-            numCells = this->origin_->getNumCells();
-            cellSize = this->origin_->getCellSize();
-            cellHeight = this->origin_->getCellHeight();
-
-            //TODO
-            //create boolean array/vector to assert that no two objects are placed in the same way
-            
+            int numCells = this->origin_->getNumCells();
+            int cellSize = this->origin_->getCellSize();
+            int cellHeight = this->origin_->getCellHeight();
 
             MazeGenerator generator(numCells);
@@ -102,187 +81,35 @@
             }
 
-
-            //Ground
-            for(int i = 0; i<numCells; i++){
-                for(int j = 0; j<numCells; j++){
-                    StaticEntity* groundCell = new StaticEntity(origin_->getContext());
-
-                    groundCell->addTemplate(origin_->getGroundTemplate());
-                    groundCell->setPosition(get3dCoordinates(i,j,-60));
-                }
-
-            }
-
-
-
             //Generate inner Walls according to levelcode
             for(int y=0; y<numCells; y++){
                 for(int x=0; x<numCells; x++){
-                    switch(levelcode[ y * numCells + x ])
-                    {
+                    switch(levelcode[ y * numCells + x ]){
                         case 1: (new HoverWall(origin_->getContext()))->init(x+1, numCells-y, cellSize, cellHeight, 1);
-                            break;
+                                break;
                         case 3: (new HoverWall(origin_->getContext()))->init(x+1, numCells-y, cellSize, cellHeight, 1);
                         case 2: (new HoverWall(origin_->getContext()))->init(x+1, numCells-y, cellSize, cellHeight, 0);
-                        default:
-                            break;
+                        default: break;
                     }
-                }
+                }   
             }
 
-            createFlags();
-
-            //Generate 3 PickupSpawners randomly (destroy hover pickup)
-            for (int i = 0; i<3; i++)
+            //Generate 5 flags randomly
+            for ( int i = 0; i < 5; i++ )
             {
-                PickupSpawner* pickupSpawner = new PickupSpawner(origin_->getContext());
-
-                pickupSpawner->setPosition(get3dCoordinates(rand()%numCells, rand()%numCells, 0.0f));
-                pickupSpawner->setPickupTemplateName(origin_->getPickupTemplate());
-                pickupSpawner->setMaxSpawnedItems(3);
-                pickupSpawner->setRespawnTime(30);
-                pickupSpawner->setTriggerDistance(40);
-                // Add pickup spawner to the pickup spawner list
-                pickupSpawners_.push_back(pickupSpawner);
-            }
-            
-            //Generate 3 PickupSpawners randomly (speed pickup)
-            for (int i = 0; i<3; i++)
-            {
-                PickupSpawner* pickupSpawner = new PickupSpawner(origin_->getContext());
-
-                pickupSpawner->setPosition(get3dCoordinates(rand()%numCells, rand()%numCells, 0.0f));
-                pickupSpawner->setPickupTemplateName(origin_->getPickupTemplateSpeed());
-                pickupSpawner->setMaxSpawnedItems(3);
-                pickupSpawner->setRespawnTime(30);
-                pickupSpawner->setTriggerDistance(40);
-                // Add pickup spawner to the pickup spawner list
-                pickupSpawners_.push_back(pickupSpawner);
+                HoverFlag* flag = new HoverFlag(origin_->getContext());
+                flag->init(rand()%numCells, rand()%numCells, cellSize);
+                flags_.push_back(flag);
             }
 
-            //Generate 3 PickupSpawners randomly (shrink pickup)
-            for (int i = 0; i<3; i++)
-            {
-                PickupSpawner* pickupSpawner = new PickupSpawner(origin_->getContext());
+        }//firsttick end
 
-                pickupSpawner->setPosition(get3dCoordinates(rand()%numCells, rand()%numCells, 0.0f));
-                pickupSpawner->setPickupTemplateName(origin_->getPickupTemplateShrink());
-                pickupSpawner->setMaxSpawnedItems(3);
-                pickupSpawner->setRespawnTime(30);
-                pickupSpawner->setTriggerDistance(40);
-                // Add pickup spawner to the pickup spawner list
-                pickupSpawners_.push_back(pickupSpawner);
-            }
-
-            //*****************************************************************************
-
-            //Generate destroyable crates randomly on field
-
-            for (int i = 0; i<10; i++){
-
-                Pawn* crate = new Pawn(origin_->getContext());
-
-                crate->addTemplate(origin_->getObstacleTemplate());  
-                crate->setPosition(get3dCoordinates(rand()%numCells, rand()%numCells, 43.0f));
-
-
-            }    
-            
-
-
-
-             //If no lives are left, end game
-            if(lives <= 0)
-            {
-                GSLevel::startMainMenu();
-            }
-            
-        }
-    }
-
-
-    // generate new Flags
-    void Hover::createFlags()
-    {
-        //TODO
-        //Generate flags randomly using bool array
-
-        //Generate 5 flags randomly on field
-        for ( int i = 0; i < 5; i++ )
-        {
-            HoverFlag* flag = new HoverFlag(origin_->getContext());
-            flag->init(rand()%numCells, rand()%numCells, cellSize);
-            flags_.push_back(flag);
-
-            
-
-            if(flags_[i]->getPosition() == get3dCoordinates(0,0,-60))
-            {
+        // Check if ship collided with one of the flags
+        for ( unsigned int i = 0; i < flags_.size(); i++ ){
+            if(flags_[i]->getCollided()){
                 flags_[i]->destroyLater();
-                flags_.erase(flags_.begin()+i);
+                flags_.erase (flags_.begin()+i);
             }
         }
-            
-    }
-
-    void Hover::tick(float dt)
-    {
-        SUPER(Hover, tick, dt);
-
-
-        // Check if ship collided with one of the flags
-        for ( unsigned int i = 0; i < flags_.size(); i++ )
-        {
-            if(flags_[i]->getCollided())
-            {
-                flags_[i]->destroyLater();
-                flags_.erase (flags_.begin()+i);
-                totFlags++;
-                if(flags_.size()<=0){
-                    //ChatManager::message("Level Up!");
-                    
-                    levelUp();
-                }
-            }
-
-        }
         numberOfFlags_ = flags_.size();
-
-        if(lives <= 0){
-                GSLevel::startMainMenu();
-            }
-    }
-
-    //start new level - call to create new flags
-    void Hover::levelUp()
-    {
-        level++;
-        //increment lives after every 4 levels
-        if(level%4 == 0)
-        {
-            lives++;
-        }
-        createFlags();
-        toggleShowLevel();
-        showLevelTimer.setTimer(2.0f, false, createExecutor(createFunctor(&Hover::toggleShowLevel, this)));
-
-        //spawn one additional crate randomly
-        Pawn* crate = new Pawn(origin_->getContext());
-        crate->addTemplate(origin_->getObstacleTemplate());  
-        crate->setPosition(get3dCoordinates(rand()%numCells, rand()%numCells, 43.0f));
-
-    }
-
-    Vector3 Hover::get3dCoordinates(int x, int y, float heightOffset)
-    {
-        return Vector3(x*cellSize*1.0f + cellSize/2, heightOffset, y*cellSize*1.0f + cellSize/2);
-    }
-
-    //if killed, subtract number of lives. If lives == 0, end game
-    void Hover::costLife()
-    {
-        lives--;
-        if (lives <= 0)
-            GSLevel::startMainMenu();
     }
 }
Index: code/trunk/src/modules/hover/Hover.h
===================================================================
--- code/trunk/src/modules/hover/Hover.h	(revision 11493)
+++ code/trunk/src/modules/hover/Hover.h	(revision 11495)
@@ -24,5 +24,4 @@
  *   Co-authors:
  *      Cyrill Burgener
- *      Tomer Gidron
  *
  */
@@ -38,5 +37,4 @@
 
 #include "HoverPrereqs.h"
-#include "HoverShip.h"
 
 #include <vector>
@@ -44,5 +42,4 @@
 #include "gametypes/Gametype.h"
 #include "HoverOrigin.h"
-#include "pickup/PickupSpawner.h"
 
 namespace orxonox
@@ -58,47 +55,12 @@
                 { this->origin_ = origin; }
 
-            void start();
-            void createFlags();
-            void levelUp();
-            void endLevel();
-            void costLife();
-
             inline int getNumberOfFlags() const
                 { return this->numberOfFlags_; }
 
-            virtual Vector3 get3dCoordinates(int x, int y, float heightOffset);
-
-            inline int getTotFlags() const
-                { return this->totFlags; }
-
-            inline int getLives() const
-                { return this->lives; }
-
-            inline int getLevel() const
-                { return this->level; }
-
-            bool bLevelUpgradeHUD;
-
         private:
-
             WeakPtr<HoverOrigin> origin_;
             std::vector<HoverFlag*> flags_;
             int numberOfFlags_;
             bool firstTick_;
-            int level;
-            int lives;
-            int flagsTaken;
-
-            int cellSize;
-            int cellHeight;
-            int numCells;
-
-            int totFlags;
-
-            std::vector<PickupSpawner*> pickupSpawners_;
-
-            void toggleShowLevel(){bLevelUpgradeHUD = !bLevelUpgradeHUD;}
-
-            Timer showLevelTimer;
     };
 }
Index: code/trunk/src/modules/hover/HoverFlag.cc
===================================================================
--- code/trunk/src/modules/hover/HoverFlag.cc	(revision 11493)
+++ code/trunk/src/modules/hover/HoverFlag.cc	(revision 11495)
@@ -87,11 +87,11 @@
         model_ = new Model(this->getContext());
         model_->setMeshSource("ss_flag_eu.mesh");
-        model_->setScale3D(Vector3(30, 30, 30));
-        model_->setPosition(Vector3(xCoordinate*cellSize*1.0f + cellSize/2,50.0f,yCoordinate*cellSize*1.0f + cellSize/2));
+        model_->setScale3D(Vector3(5, 5, 5));
+        model_->setPosition(Vector3(xCoordinate*cellSize*1.0f + cellSize/2,10.0f,yCoordinate*cellSize*1.0f + cellSize/2));
 
         this->attach(model_);
 
         cs_ = new BoxCollisionShape(this->getContext());
-        cs_->setHalfExtents(Vector3(30, 30, 30));
+        cs_->setHalfExtents(Vector3(5, 5, 5));
         cs_->setPosition(Vector3(xCoordinate*cellSize*1.0f + cellSize/2,0.0f,yCoordinate*cellSize*1.0f + cellSize/2));
 
Index: code/trunk/src/modules/hover/HoverOrigin.cc
===================================================================
--- code/trunk/src/modules/hover/HoverOrigin.cc	(revision 11493)
+++ code/trunk/src/modules/hover/HoverOrigin.cc	(revision 11495)
@@ -23,5 +23,5 @@
  *      Manuel Meier
  *   Co-authors:
- *      Tomer Gidron
+ *      ...
  *
  */
@@ -45,16 +45,4 @@
         RegisterObject(HoverOrigin);
         checkGametype();
-
-        //Initialization of variables (not really needed)
-
-        pickupTemplate_ = "";
-        pickupRepresentationTemplate_ = "";
-
-        pickupTemplateSpeed_ = "";
-        pickupRepresentationTemplateSpeed_ = "";
-
-
-        pickupTemplateShrink_ = "";
-        pickupRepresentationTemplateShrink_ = "";
     }
 
@@ -66,15 +54,5 @@
         XMLPortParam(HoverOrigin, "cellSize", setCellSize, getCellSize, xmlelement, mode);
         XMLPortParam(HoverOrigin, "cellHeight", setCellHeight, getCellHeight, xmlelement, mode);
-        XMLPortParam(HoverOrigin, "wallThickness", setWallThickness, getWallThickness, xmlelement, mode);
-        XMLPortParam(HoverOrigin, "pickuptemplate", setPickupTemplate, getPickupTemplate, xmlelement, mode);
-        XMLPortParam(HoverOrigin, "pickuprepresentationtemplate", setPickupRepresentationTemplate, getPickupRepresentationTemplate, xmlelement, mode);
-        XMLPortParam(HoverOrigin, "pickuptemplatespeed", setPickupTemplateSpeed, getPickupTemplateSpeed, xmlelement, mode);
-        XMLPortParam(HoverOrigin, "pickuprepresentationtemplatespeed", setPickupRepresentationTemplateSpeed, getPickupRepresentationTemplateSpeed, xmlelement, mode);
-        XMLPortParam(HoverOrigin, "obstacletemplate", setObstacleTemplate, getObstacleTemplate, xmlelement, mode);
-        XMLPortParam(HoverOrigin, "pickuptemplateshrink", setPickupTemplateShrink, getPickupTemplateShrink, xmlelement, mode);
-        XMLPortParam(HoverOrigin, "pickuprepresentationtemplateshrink", setPickupRepresentationTemplateShrink, getPickupRepresentationTemplateShrink, xmlelement, mode);
-        XMLPortParam(HoverOrigin, "groundtemplate", setGroundTemplate, getGroundTemplate, xmlelement, mode);
     }
-
 
     void HoverOrigin::checkGametype()
Index: code/trunk/src/modules/hover/HoverOrigin.h
===================================================================
--- code/trunk/src/modules/hover/HoverOrigin.h	(revision 11493)
+++ code/trunk/src/modules/hover/HoverOrigin.h	(revision 11495)
@@ -23,5 +23,5 @@
  *      Manuel Meier
  *   Co-authors:
- *      Tomer Gidron
+ *      ...
  *
  */
@@ -66,86 +66,10 @@
                 { return this->cellHeight_; }
 
-            inline void setWallThickness(int wallThickness)
-                { this->wallThickness_ = wallThickness; }
-            inline int getWallThickness() const
-                { return this->wallThickness_; }
-
-            //pickup template set and get for destroy hover pickup
-
-            inline void setPickupTemplate(std::string pickupTemplate)
-                { this->pickupTemplate_ = pickupTemplate; }
-            inline std::string getPickupTemplate() const
-                { return this->pickupTemplate_; }
-
-            inline void setPickupRepresentationTemplate(std::string pickupRepresenationaTemplate)
-                { this->pickupRepresentationTemplate_ = pickupRepresenationaTemplate; }
-            inline std::string getPickupRepresentationTemplate() const
-                { return this->pickupRepresentationTemplate_; }
-
-            //pickup template get and set for damage hover pickup
-
-            inline void setPickupTemplateSpeed(std::string pickupTemplateSpeed)
-                { this->pickupTemplateSpeed_ = pickupTemplateSpeed; }
-            inline std::string getPickupTemplateSpeed() const
-                { return this->pickupTemplateSpeed_; }
-
-            inline void setPickupRepresentationTemplateSpeed(std::string pickupRepresenationaTemplateSpeed)
-                { this->pickupRepresentationTemplateSpeed_ = pickupRepresenationaTemplateSpeed; }
-            inline std::string getPickupRepresentationTemplateSpeed() const
-                { return this->pickupRepresentationTemplateSpeed_; }
-
-
-            //pickup template get and set for shrink hover pickup
-
-            inline void setPickupTemplateShrink(std::string pickupTemplateShrink)
-                { this->pickupTemplateShrink_ = pickupTemplateShrink; }
-            inline std::string getPickupTemplateShrink() const
-                { return this->pickupTemplateShrink_; }
-
-            inline void setPickupRepresentationTemplateShrink(std::string pickupRepresenationaTemplateShrink)
-                { this->pickupRepresentationTemplateShrink_ = pickupRepresenationaTemplateShrink; }
-            inline std::string getPickupRepresentationTemplateShrink() const
-                { return this->pickupRepresentationTemplateShrink_; }
-
-            //get and set for obstacle template
-
-            inline void setObstacleTemplate(std::string obstacleTemplate)
-                { this->obstacleTemplate_ = obstacleTemplate; }
-            inline std::string getObstacleTemplate() const
-                { return this->obstacleTemplate_; }        
-
-            //get and set for ground template
-
-            inline void setGroundTemplate(std::string groundTemplate)
-                { this->groundTemplate_ = groundTemplate; }
-            inline std::string getGroundTemplate() const
-                { return this->groundTemplate_; }  
-
         private:
             void checkGametype();
-
        
             int numCells_;
             int cellSize_;
             int cellHeight_;
-            int wallThickness_;
-
-            // Tempaltes for the destroy hover pickup
-            std::string pickupTemplate_;
-            std::string pickupRepresentationTemplate_;
-
-            // Tempaltes for the damage hover pickup
-            std::string pickupTemplateSpeed_;
-            std::string pickupRepresentationTemplateSpeed_;
-
-            // Tempaltes for the shrink hover pickup
-            std::string pickupTemplateShrink_;
-            std::string pickupRepresentationTemplateShrink_;
-
-            //Template for crate obstacle
-            std::string obstacleTemplate_;
-
-            //Template for ground cell
-            std::string groundTemplate_;
     };
 }
Index: code/trunk/src/modules/hover/HoverShip.cc
===================================================================
--- code/trunk/src/modules/hover/HoverShip.cc	(revision 11493)
+++ code/trunk/src/modules/hover/HoverShip.cc	(revision 11495)
@@ -33,6 +33,4 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "Hover.h"
-//#include "NewHumanController.h"
 
 #include <BulletCollision/NarrowPhaseCollision/btManifoldPoint.h>
@@ -114,5 +112,4 @@
         if (bBoost && this->isFloor_)
         {
-
             this->setVelocity(
                 this->getVelocity().x,
@@ -123,19 +120,3 @@
         }
     }
-
-    Hover* HoverShip::getGame()
-    {
-        if (game == nullptr)
-        {
-            for (Hover* hover : ObjectList<Hover>())
-                game = hover;
-        }
-        return game;
-    }
-
-    void HoverShip::death()
-    {
-        getGame()->costLife();
-        SpaceShip::death();
-    }
 }
Index: code/trunk/src/modules/hover/HoverShip.h
===================================================================
--- code/trunk/src/modules/hover/HoverShip.h	(revision 11493)
+++ code/trunk/src/modules/hover/HoverShip.h	(revision 11495)
@@ -34,5 +34,4 @@
 
 #include "HoverPrereqs.h"
-#include "Hover.h"
 
 #include "worldentities/pawns/SpaceShip.h"
@@ -70,10 +69,5 @@
             virtual void boost(bool bBoost) override;
 
-        protected:
-            virtual void death() override;
-
         private:
-            Hover* getGame();
-            WeakPtr<Hover> game;
             float jumpBoost_;
             bool isFloor_;
Index: code/trunk/src/modules/hover/TFlagsLivesLevelHUD.cc
===================================================================
--- code/trunk/src/modules/hover/TFlagsLivesLevelHUD.cc	(revision 11493)
+++ 	(revision )
@@ -1,122 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Tomer Gidron
- *
- */
-
-#include "TFlagsLivesLevelHUD.h"
-#include "HoverFlag.h"
-#include "Hover.h"
-
-#include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
-#include "util/Convert.h"
-
-namespace orxonox
-{
-    RegisterClass(TFlagsLivesLevelHUD);
-
-    TFlagsLivesLevelHUD::TFlagsLivesLevelHUD(Context* context) : OverlayText(context)
-    {
-        RegisterObject(TFlagsLivesLevelHUD);
-
-        this->hoverGame_ = nullptr;
-        this->totFlags_ = 0;
-        showLives_ = true;
-        showLevel_ = true;
-        showTotFlags_= true;
-        levelUpgrade_ = true;
-    }
-
-    void TFlagsLivesLevelHUD::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(TFlagsLivesLevelHUD, XMLPort, xmlelement, mode);
-
-        XMLPortParam(TFlagsLivesLevelHUD,"showPoints", setShowTot, getShowTot, xmlelement, mode);
-        XMLPortParam(TFlagsLivesLevelHUD, "showLives", setShowLives, getShowLives, xmlelement, mode);
-        XMLPortParam(TFlagsLivesLevelHUD, "showLevel", setShowLevel, getShowLevel, xmlelement, mode);
-        XMLPortParam(TFlagsLivesLevelHUD, "levelUpgrade", setLevelUpgrade, getLevelUpgrade, xmlelement, mode);
-    }
-
-    void TFlagsLivesLevelHUD::tick(float dt)
-    {
-        SUPER(TFlagsLivesLevelHUD, tick, dt);
-
-            const std::string& flags = multi_cast<std::string>(this->hoverGame_->getTotFlags());
-            const std::string& lives = multi_cast<std::string>(this->hoverGame_->getLives());
-            const std::string& level = multi_cast<std::string>(this->hoverGame_->getLevel());
-
-            //Display total Flags taken
-            if(showTotFlags_ == true){
-                setTextSize(0.04);
-                setPosition(Vector2(0.18, 0.08));
-                this->setColour(ColourValue(1, 1, 1, 1));
-                this->setCaption(flags);
-            }
-
-            //Display remaining lives
-            if(showLives_ == true){
-                setTextSize(0.04);
-                setPosition(Vector2(0.18, 0.12));
-                this->setColour(ColourValue(1, 1, 1, 1));
-                this->setCaption(lives);
-            }
-
-            //Display current level
-            if(showLevel_ == true){
-                setTextSize(0.04);
-                setPosition(Vector2(0.18, 0.16));
-                this->setColour(ColourValue(1, 1, 1, 1));
-                this->setCaption(level);
-                
-            }
-            
-            //New Level pop up
-            if(this->hoverGame_->bLevelUpgradeHUD  && levelUpgrade_)
-                {
-                setTextSize(0.2);
-                setPosition(Vector2(0.3, 0.45));
-                std::stringstream sstm;
-                sstm << "Level " << level;
-                this->setCaption(sstm.str());
-
-                //TODO
-                //make others stop blinking when new level pop-up is activated
-                }
-
-    }
-
-    void TFlagsLivesLevelHUD::changedOwner()
-    {
-        SUPER(TFlagsLivesLevelHUD, changedOwner);
-
-        if (this->getOwner() && this->getOwner()->getGametype())
-        {
-            this->hoverGame_ = orxonox_cast<Hover*>(this->getOwner()->getGametype());
-        }
-        else
-        {
-            this->hoverGame_ = nullptr;
-        }
-    }
-}
Index: code/trunk/src/modules/hover/TFlagsLivesLevelHUD.h
===================================================================
--- code/trunk/src/modules/hover/TFlagsLivesLevelHUD.h	(revision 11493)
+++ 	(revision )
@@ -1,105 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Tomer Gidron
- *
- */
-
- /**
-    @file TFlagsLivesLevelHUD.h
-    @brief Declaration of the TFlagsLivesLevelHUD class.
-*/
-
-#ifndef _TFlagsLivesLevelHUD_H__
-#define _TFlagsLivesLevelHUD_H__
-
-
-#include "HoverPrereqs.h"
-
-#include "tools/interfaces/Tickable.h"
-#include "overlays/OverlayText.h"
-
-namespace orxonox
-{
-    class _HoverExport TFlagsLivesLevelHUD : public OverlayText, public Tickable
-    {
-        public:
-            TFlagsLivesLevelHUD(Context* context);
-
-            virtual void tick(float dt) override;
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
-            virtual void changedOwner() override;
-
-            /// sets TOTAL flags taken
-            inline void setShowTot(int totFlags)
-                { this->totFlags_ = totFlags; }
-            /// returns TOTAL flags >=0
-            inline int getShowTot() const
-                { return this->totFlags_; }
-
-            /// sets show tot lives
-            void setShowLives(const bool showLives)
-                { showLives_ = showLives; }
-            /// gets show tot lives
-            const bool getShowLives() const
-                { return showLives_; }
-
-            /// sets show level
-            void setShowLevel(const bool showLevel)
-                { showLevel_ = showLevel; }
-            /// gets show level
-            const bool getShowLevel() const
-                { return showLevel_; }
-
-            /// sets show tot flags
-            void setShowTotFlags(const bool showTotFlags)
-                { showTotFlags_ = showTotFlags; }
-            /// gets show tot flags
-            const bool getShowTotFlags() const
-                { return showTotFlags_; }
-
-            /// sets Game Level
-            inline void setTotLevel(int totLevel)
-                { this->totLevel_ = totLevel; }
-            /// returns level >=0
-            inline int getTotLevel() const
-                { return this->totLevel_; }
-
-            /// sets level Upgrade
-            void setLevelUpgrade(const bool levelUpgrade)
-                { levelUpgrade_ = levelUpgrade; }
-            /// gets level Upgrade
-            const bool getLevelUpgrade() const
-                { return levelUpgrade_; }
-
-
-        private:
-            Hover* hoverGame_;
-            int totFlags_;
-            int totLevel_;
-            bool showLives_;
-            bool showLevel_;
-            bool showTotFlags_;
-            bool levelUpgrade_;
-    };
-}
-#endif /* _TFlagsLivesLevelHUD_H__ */