Index: code/branches/HUD_HS16/data/overlays/HUDTemplates3.oxo
===================================================================
--- code/branches/HUD_HS16/data/overlays/HUDTemplates3.oxo	(revision 11497)
+++ code/branches/HUD_HS16/data/overlays/HUDTemplates3.oxo	(revision 11499)
@@ -214,10 +214,4 @@
     />
 
-    <GUIOverlay
-      name = "Dialogue"
-      guiname = "Dialogue"
-      visible = "false"
-    />
-
-  </OverlayGroup>
-</Template>
+  </OverlayGroup>
+</Template>
Index: code/branches/HUD_HS16/data/overlays/SOBHUD.oxo
===================================================================
--- code/branches/HUD_HS16/data/overlays/SOBHUD.oxo	(revision 11497)
+++ 	(revision )
@@ -1,123 +1,0 @@
-<Template name="spectatorhud">
-  <OverlayGroup name = "spectatorhud" scale = "1, 1">
-  </OverlayGroup>
-</Template>
-
-<Template name="SOBHUD">
-  <OverlayGroup name="SOBHUD" scale = "1, 1">
-  
-    <OverlayText
-     position  = "0.02, 0.02"
-     pickpoint = "0.0, 0.0"
-     font      = "ShareTechMono"
-     textsize  = 0.04
-     colour    = "1.0, 1.0, 1.0, 1.0"
-     align     = "left"
-     caption   = "O R X O\n"
-    />
-    <SOBHUDInfo
-     position  = "0.02, 0.06"
-     pickpoint = "0.0, 0.0"
-     font      = "ShareTechMono"
-     textsize  = 0.045
-     colour    = "1.0, 1.0, 1.0, 1.0"
-     align     = "left"
-     type      = "Points"
-     
-    />
-
-
-
-    <SOBHUDInfo
-     position  = "0.22, 0.06"
-     pickpoint = "0.0, 0.0"
-     font      = "ShareTechMono"
-     textsize  = 0.045
-     colour    = "1.0, 1.0, 1.0, 1.0"
-     align     = "left"
-     type      = "Coins"
-     
-    />
-
-
-
-    <OverlayText
-     position  = "0.75, 0.02"
-     pickpoint = "0.0, 0.0"
-     font      = "ShareTechMono"
-     textsize  = 0.04
-     colour    = "1.0, 1.0, 1.0, 1.0"
-     align     = "center"
-     caption   = "WORLD\n1-1"
-    />
-
-
-
-
-
-
-    <OverlayText
-     position  = "0.98, 0.02"
-     pickpoint = "0.0, 0.0"
-     font      = "ShareTechMono"
-     textsize  = 0.04
-     colour    = "1.0, 1.0, 1.0, 1.0"
-     align     = "right"
-     caption   = "TIME\n"
-    />
-    <SOBHUDInfo
-     position  = "0.98, 0.06"
-     pickpoint = "0.0, 0.0"
-     font      = "ShareTechMono"
-     textsize  = 0.04
-     colour    = "1.0, 1.0, 1.0, 1.0"
-     align     = "right"
-     type      = "Time"
-  
-    />
-
-    
-
-    <SOBHUDInfo
-     position = "0.55,0.5"
-     pickpoint = "0.5, 0.5"
-     textposition  = "0.5, 0.5"
-     textpickpoint = "0.5, 0.5"
-     font      = "ShareTechMono"
-     textsize  = 0.07
-     colour    = "1.0, 1.0, 1.0, 1.0"
-     align     = "center"
-     type      = "Info"
-     
-    />
-   
-
-    
-  </OverlayGroup>
-</Template>
-
-
-<Template name="spaceshiphud">
-  <OverlayGroup name = "spaceshiphud" scale = "1, 1">
-    <HUDHealthBar
-     name              = "HealthBar1"
-     background        = "Orxonox/HealthBarBackground"
-     size              = "0.35, 0.0875"
-     position          = "0.0 , 0.9 "
-     pickpoint         = "0, 1"
-     bartexture        = "healthbar_bar.png"
-     textfont          = "VeraMono"
-     textusebarcolour  = true
-     textscale          = 0.4
-     textoffset        = "0.325, -0.825"
-     textpickpoint     = "0, 0"
-     textalign         = "right"
-     correctaspect     = true
-     iconmaterial      = "Orxonox/BarIconHealth"
-    >
-      <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
-      <BarColour position = 0.5 colour = "0.7,0.7,0.2" />
-      <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
-    </HUDHealthBar>
- </OverlayGroup>
-</Template>
Index: code/branches/HUD_HS16/data/overlays/StoryModeHUD.oxo
===================================================================
--- code/branches/HUD_HS16/data/overlays/StoryModeHUD.oxo	(revision 11497)
+++ 	(revision )
@@ -1,14 +1,0 @@
-
-<Template name="StoryModeMap">
-  <OverlayGroup name = "spaceshiphud" scale = "1, 1">
-    <Map />
-
-
-     <GUIOverlay
-      name = "CampaignMenu"
-      guiname = "CampaignMenu"
-      visible = "true"
-    />
-
-  </OverlayGroup>
-</Template>