Index: /code/branches/FlappyOrx_HS17/data/levels/FlappyOrx.oxw
===================================================================
--- /code/branches/FlappyOrx_HS17/data/levels/FlappyOrx.oxw	(revision 11513)
+++ /code/branches/FlappyOrx_HS17/data/levels/FlappyOrx.oxw	(revision 11514)
@@ -92,6 +92,4 @@
       end
     ?>
-    
-    
   </Scene>
 </Level>
Index: /code/branches/FlappyOrx_HS17/data/levels/templates/spaceshipFlappyOrx.oxt
===================================================================
--- /code/branches/FlappyOrx_HS17/data/levels/templates/spaceshipFlappyOrx.oxt	(revision 11513)
+++ /code/branches/FlappyOrx_HS17/data/levels/templates/spaceshipFlappyOrx.oxt	(revision 11514)
@@ -40,4 +40,8 @@
     collisiondamage = 100
     enablecollisiondamage = true
+
+    speed = 100
+    UpwardThrust = 200
+    gravity = 18
   >
     <engines>
Index: /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc
===================================================================
--- /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc	(revision 11513)
+++ /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc	(revision 11514)
@@ -101,6 +101,7 @@
         if (player == nullptr)
         {
-            for (FlappyOrxShip* ship : ObjectList<FlappyOrxShip>())
+            for (FlappyOrxShip* ship : ObjectList<FlappyOrxShip>()) {
                 player = ship;
+            }
         }
         return player;
Index: /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.cc
===================================================================
--- /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.cc	(revision 11513)
+++ /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.cc	(revision 11514)
@@ -49,17 +49,21 @@
         RegisterObject(FlappyOrxShip);
 
-        UpwardThrust = 250;
-        speed = 50;
-        gravity = 20;
-         void AutonomousDrone::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+        this->UpwardThrust = 1;
+        this->speed = 1;orxout() << "constr speed set: " << 1 << endl;
+        this->gravity = 1;
+        
+    }
+    void FlappyOrxShip::XMLPort(Element& xmlelement, XMLPort::Mode mode)
         {   
-            SUPER(AutonomousDrone, XMLPort, xmlelement, mode);
+            SUPER(FlappyOrxShip, XMLPort, xmlelement, mode);
             XMLPortParam(FlappyOrxShip, "speed", setSpeed, getSpeed, xmlelement, mode);
             XMLPortParam(FlappyOrxShip, "UpwardThrust", setUpwardThrust, getUpwardThrust, xmlelement, mode);
             XMLPortParam(FlappyOrxShip, "gravity", setGravity, getGravity, xmlelement, mode);
-        }
     }
+
     void FlappyOrxShip::tick(float dt)
-    {  //Execute movement
+    {
+        SUPER(FlappyOrxShip, tick, dt);
+        //Execute movement
         if (this->hasLocalController())
         {
@@ -72,5 +76,4 @@
             }
 
-            
             pos += Vector3(speed + velocity.x, 0, velocity.y) * dt;
             
@@ -100,7 +103,4 @@
             
         }
-
-
-        SUPER(FlappyOrxShip, tick, dt);
     }
 
Index: /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.h
===================================================================
--- /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.h	(revision 11513)
+++ /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.h	(revision 11514)
@@ -62,16 +62,17 @@
             virtual void rotateRoll(const Vector2& value) override;
             inline void setSpeed( float speed )
-                { this->speed = speed; }
-            inline void getSpeed( )
+                { orxout() << "speed set: " << speed << endl; this->speed = speed; }
+            inline float getSpeed( )
                 { return this->speed; }
             inline void setGravity( float gravity )
                 { this->gravity = gravity; }
-            inline void getGravity()
+            inline float getGravity()
                 { return this->gravity; }
-            inline void setSpeed( float UpwardThrust )
+            inline void setUpwardThrust( float UpwardThrust )
                 { this->UpwardThrust = UpwardThrust; }
-            inline void getSpeed()
+            inline float getUpwardThrust()
                 { return this->UpwardThrust; }
             virtual void updateLevel();
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
         protected: