Index: code/branches/CampaignMap_HS17/src/modules/overlays/hud/CMakeLists.txt
===================================================================
--- code/branches/CampaignMap_HS17/src/modules/overlays/hud/CMakeLists.txt	(revision 11545)
+++ code/branches/CampaignMap_HS17/src/modules/overlays/hud/CMakeLists.txt	(revision 11560)
@@ -27,3 +27,4 @@
   LastTeamStandingInfos.cc
   CountDown.cc
+  StoryModeHUD.cc
 )
Index: code/branches/CampaignMap_HS17/src/modules/overlays/hud/StoryModeHUD.cc
===================================================================
--- code/branches/CampaignMap_HS17/src/modules/overlays/hud/StoryModeHUD.cc	(revision 11545)
+++ code/branches/CampaignMap_HS17/src/modules/overlays/hud/StoryModeHUD.cc	(revision 11560)
@@ -68,8 +68,23 @@
     {
         RegisterObject(StoryModeHUD);
- 
+
         // Set default values
-        this->setFont("Monofur");
-        this->setTextSize(0.5f);
+        //this->setFont("Monofur");
+        //this->setTextSize(0.5f);
+
+        // Scales used for dimensions and text size
+        float xScale = this->getActualSize().x;
+        float yScale = this->getActualSize().y;
+
+        // Create text
+        text_ = static_cast<Ogre::TextAreaOverlayElement*>( Ogre::OverlayManager::getSingleton()
+                .createOverlayElement("TextArea", "StoryModeHUD_navText_" + getUniqueNumberString()));
+        //text->setFontName(this->fontName_);
+        //text->setCharHeight(this->textSize_ * yScale);
+        text_->setDimensions(xScale, yScale);
+
+        text_->hide();
+        
+        this->background_->addChild(text_);
     }
 
@@ -102,9 +117,6 @@
         }
         this->fontName_ = font;
-        for (const auto& mapEntry : this->activeObjectList_)
-        {
-            if (mapEntry.second.text_ != nullptr)
-                mapEntry.second.text_->setFontName(this->fontName_);
-        }
+        if(text_ != nullptr)
+            text_->setFontName(this->fontName_);
     }
    
@@ -124,9 +136,5 @@
         }
         this->textSize_ = size;
-        for (const auto& mapEntry : this->activeObjectList_)
-        {
-            if (mapEntry.second.text_)
-                mapEntry.second.text_->setCharHeight(size);
-        }
+        
     }
 
@@ -151,41 +159,29 @@
 
 
-                    //display name next to cursor
-                    //TODO: Planet.getName()
-                    text_->setCaption("Hello Muthafuckin' World!");
+        //display name next to cursor
+        //TODO: Planet.getName()
+        text_->setCaption("Was geht ab?");
 
-                    // Transform to screen coordinates
-                    Vector3 pos = camTransform *  planet->getRVWorldPosition();
+        // Transform to screen coordinates
+        Vector3 pos = camTransform * Vector3(0,0,0); // planet->getRVWorldPosition();
+
+        // If you fly passed the description, it gets out of sight
+        if (pos.z > 1.0)
+            return;
        
-                    // Position text
-                    text_->setLeft((pos.x + 1.0f + it->second.panel_->getWidth()) * 0.5f);
-                    it->second.text_->setTop((-pos.y + 1.0f + it->second.panel_->getHeight()) * 0.5f);
+        // Position text
+        text_->setLeft((pos.x+1)/2); // The (0,0) Coordinate is in the upper left corner.
+        text_->setTop((-pos.y+1)/2);  // With those two calculations we set the desired positions
 
-                    // Make sure the overlays are shown
-                    it->second.text_->show();
+        // Make sure the overlays are shown
+        text_->show();
 
     }
 
-    void StoryModeHUD::addObject()
-    {
-        // Scales used for dimensions and text size
-        float xScale = this->getActualSize().x;
-        float yScale = this->getActualSize().y;
+    //void StoryModeHUD::addObject()
 
-        // Create text
-        Ogre::TextAreaOverlayElement* text = static_cast<Ogre::TextAreaOverlayElement*>( Ogre::OverlayManager::getSingleton()
-                .createOverlayElement("TextArea", "StoryModeHUD_navText_" + getUniqueNumberString()));
-        text->setFontName(this->fontName_);
-        text->setCharHeight(this->textSize_ * yScale);
-        text->setColour(object->getRadarObjectColour());
-
-        text->hide();
-        
-        this->background_->addChild(text);
-    }
-
-    void StoryModeHUD::removeObject(RadarViewable* viewable)
+    /*void StoryModeHUD::removeObject(RadarViewable* viewable)
     {
         Ogre::OverlayManager::getSingleton().destroyOverlayElement(it->second.text_);
-    }
+    }*/
 }