Index: code/branches/Dialog_HS17/data/gui/scripts/Dialog.lua
===================================================================
--- code/branches/Dialog_HS17/data/gui/scripts/Dialog.lua	(revision 11579)
+++ code/branches/Dialog_HS17/data/gui/scripts/Dialog.lua	(revision 11612)
@@ -1,11 +1,8 @@
-
--- Dialog.lua
+-- Dialogue.lua
 
 local P = createMenuSheet("Dialog")
 
 P.wrapper = nil
-P.answerList = {}
-P.scrollbarWidht = 13
-P.selectedAnswer = {}
+P.detailsWindows = {}
 
 P.showing = false
@@ -14,13 +11,13 @@
 P.imageHeight = 50
 P.detailImageSize = 100
-P.textHeight = 30
-P.buttonWidth = 85
+P.textHeight = 50
+P.buttonWidth = 50
 
 function P.onLoad()
     P.wrapper = nil
-
 end
 
 function P.onShow()
+
     orxonox.CommandExecutor:execute("setTimeFactor 0")
     P.createDialog()
@@ -37,42 +34,32 @@
 function P.update()
     P.updateDialog()
-    if P.showing == false then
-        return
-    end
-
-    P.cleanup(false)
 end
 
 function P.createDialog()
 
-    local dialogManager = orxonox.DialogManager:getInstance()
+    local manager = orxonox.DialogManager:getInstance()
     
+    ---[[
     root = winMgr:getWindow("orxonox/Dialogue/Inventory")
-    local dialog = dialogManager:getCurrentDialog()
-    root:setText(dialog:getQuestion)
+    local question = orxonox.DialogueManager:getInstance():getquestion()
+    root:setText(question)
     P.wrapper = winMgr:createWindow("MenuWidgets/ScrollablePane", "orxonox/Dialogue/Inventory/Wrapper")
     P.wrapper:setSize(CEGUI.UVector2(CEGUI.UDim(1,0),CEGUI.UDim(1,0)))
     root:addChildWindow(P.wrapper)
     
-    acceptButton = winMgr:createWindow("MenuWidgets/Button", "/a2Button")   --a2 da graphik aus version mit 2 knoepfen uebernommen
-    acceptButton:setPosition(CEGUI.UVector2(CEGUI.UDim(0.1, 0),CEGUI.UDim(0.4, (P.imageHeight-P.textHeight)/2)))
-    acceptButton:setSize(CEGUI.UVector2(CEGUI.UDim(0.8, 0), CEGUI.UDim(0, P.textHeight)))
-    acceptButton:setText("accept")
-    orxonox.GUIManager:subscribeEventHelper(acceptButton, "Clicked", P.name ..".acceptButton_clicked")
-    P.wrapper:addChildWindow(acceptButton)
-    
-    P.answerList = {}                       -- erstellen der tabelle aus AntwortIds und Antworten im Lua
-    local answers = dialog:getAnswers()
-    for ans in answers do
-        P.answerList[ans] = dialog:getAnswer(ans)
-    end
-    --todo herausfinden wie antworten in tabelle enzeigen
+    --]]
+    detailsButton = winMgr:createWindow("MenuWidgets/Button", "/DetailsButton")
+    detailsButton:setPosition(CEGUI.UVector2(CEGUI.UDim(0.1, 0),CEGUI.UDim(0.5, (P.imageHeight-P.textHeight)/2)))
+    detailsButton:setSize(CEGUI.UVector2(CEGUI.UDim(0.25, 0), CEGUI.UDim(0, P.textHeight)))
+    detailsButton:setText("say")
+    orxonox.GUIManager:subscribeEventHelper(detailsButton, "Clicked", P.name ..".Button_clicked")
+    P.wrapper:addChildWindow(detailsButton)
+    --]]
+
 end
 
-
 function P.updateDialog()
-    local dialog = orxonox.DialogManager:getInstance():getDialog()
-    root:setText(dialog:getQuestion)
-    --todo: tabellen updaten 
+    --local questionn = orxonox.DialogueManager:getInstance():getquestion()
+    --root:setText("test")
 end
 
@@ -98,14 +85,15 @@
 
 
-function P.acceptButton_clicked(e)
-    local ending = orxonox.DialogManager:getInstance():getDialog:ending()
+function P.Button_clicked(e)
+    --local ending = orxonox.DialogManager:getInstance():theEnd()
     
-    if ending then
+    --if ending then
         orxonox.CommandExecutor:execute("OrxonoxOverlay toggleVisibility Dialog")
     
-    --herausfindne wie tabelleneintrag uebergeben wird
-    else
-        P.update()
-    end
+    
+   -- else 
+   --     orxonox.DialogueManager:getInstance():a1clicked()
+   --     P.update()
+   -- end
 end
 
Index: code/branches/Dialog_HS17/data/gui/scripts/Dialogue.lua
===================================================================
--- code/branches/Dialog_HS17/data/gui/scripts/Dialogue.lua	(revision 11579)
+++ code/branches/Dialog_HS17/data/gui/scripts/Dialogue.lua	(revision 11612)
@@ -22,4 +22,5 @@
     P.detailPickups = {}
     P.pickupsList = {}
+    
 end
 
@@ -28,6 +29,6 @@
     P.createInventory()
     P.showing = true
+end
 
-end
 
 function P.onHide()
Index: code/branches/Dialog_HS17/data/overlays/HUDTemplates3.oxo
===================================================================
--- code/branches/Dialog_HS17/data/overlays/HUDTemplates3.oxo	(revision 11579)
+++ code/branches/Dialog_HS17/data/overlays/HUDTemplates3.oxo	(revision 11612)
@@ -220,4 +220,10 @@
     />
 
-  </OverlayGroup>
-</Template>
+    <GUIOverlay
+      name = "Dialog"
+      guiname = "Dialog"
+      visible = "false"
+    />
+
+  </OverlayGroup>
+</Template>